Mailinglist Archive: opensuse-security-announce (19 mails)

< Previous Next >
[security-announce] SUSE-SU-2014:0682-1: important: Security update for nagios-nrpe, nagios-nrpe-debuginfo, nagios-nrpe-debugsource, nagios-nrpe-doc, nagios-plugins-nrpe
SUSE Security Update: Security update for nagios-nrpe,
nagios-nrpe-debuginfo, nagios-nrpe-debugsource, nagios-nrpe-doc,
nagios-plugins-nrpe
______________________________________________________________________________

Announcement ID: SUSE-SU-2014:0682-1
Rating: important
References: #874743
Cross-References: CVE-2014-2913
Affected Products:
SUSE Linux Enterprise Server 11 SP3 for VMware
SUSE Linux Enterprise Server 11 SP3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


nagios-nrpe has been updated to prevent possible remote command execution
when command arguments are enabled. This issue affects versions 2.15 and
older.

Further information is available at
http://seclists.org/fulldisclosure/2014/Apr/240
<http://seclists.org/fulldisclosure/2014/Apr/240>

These security issues have been fixed:

* Remote command execution (CVE-2014-2913)

Security Issue references:

* CVE-2014-2913
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-2913>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server 11 SP3 for VMware:

zypper in -t patch slessp3-nagios-nrpe-9204

- SUSE Linux Enterprise Server 11 SP3:

zypper in -t patch slessp3-nagios-nrpe-9204

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Server 11 SP3 for VMware (i586 x86_64):

nagios-nrpe-2.12-24.4.10.1
nagios-nrpe-doc-2.12-24.4.10.1
nagios-plugins-nrpe-2.12-24.4.10.1

- SUSE Linux Enterprise Server 11 SP3 (i586 ia64 ppc64 s390x x86_64):

nagios-nrpe-2.12-24.4.10.1
nagios-nrpe-doc-2.12-24.4.10.1
nagios-plugins-nrpe-2.12-24.4.10.1


References:

http://support.novell.com/security/cve/CVE-2014-2913.html
https://bugzilla.novell.com/874743

http://download.suse.com/patch/finder/?keywords=5c4ec51db20294eb2e261a8c624a9f1d

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages